---
- name: Ensure docker-registry-cache directory exists
  file:
    state: directory
    path: "{{ docker_registry_proxy_compose_file_dest_directory }}"

- name: Copy docker-registry-cache stack
  template:
    src: "templates/{{ docker_registry_proxy_compose_file_source_name }}"
    dest: "{{ docker_registry_proxy_compose_file_dest }}"
    mode: u=rw,g=,o=

- name: Deploy docker-registry-cache
  docker_stack:
    state: present
    prune: yes
    name: "{{ docker_registry_proxy_stack_name }}"
    compose:
      - "{{ docker_registry_proxy_compose_file_dest }}"
  notify: docker prune
...